<app-header
    title="Modification du mot de passe"
    [displayUserInfos]="false"
></app-header>
<ion-content>
    <ion-grid>
        <ion-row class="ion-justify-content-center ion-margin">
            <ion-col size="auto">
                <app-img
                    src="assets/img/update.svg"
                    alt="Modification"
                    title="Modification"
                    [errorSrc]="cardMedia"
                >
                </app-img>
            </ion-col>
        </ion-row>
        <ion-text class="ion-text-center text-secondary primary-color">
            <h2>Modification</h2>
        </ion-text>
        <ion-row class="ion-justify-content-center ion-margin-horizontal">
            <ion-text class="ion-text-center medium ml-10">
                <p>
                    Créer un nouveau mot de passe : votre nouveau mot de passe
                    doit être différent des mots de passe utilisés précédemment.
                </p>
            </ion-text>
        </ion-row>

        <form
            [formGroup]="newpwdForm"
            name="newpwdForm"
            (submit)="onSubmit()"
            novalidate
        >
            <ion-row
                class="ion-align-items-center ion-margin-top ion-margin-horizontal"
            >
                <ion-input
                    type="password"
                    class="inputStyle weight-500"
                    placeholder="Ancien mot de passe"
                    formControlName="oldPassword"
                >
                    <ion-icon
                        name="lock-closed-outline"
                        fill="clear"
                        class="ion-margin"
                        color="primary"
                    ></ion-icon>
                </ion-input>
            </ion-row>
            <div
                *ngIf="submit.getValue() && f.newPassword.errors"
                class="invalid-feedback mt-5 ml-10 ion-text-left"
            >
                <div *ngIf="f.oldPassword.hasError('required')">
                    <ion-text color="danger"
                        >L'ancien mot de passe est obligatoire</ion-text
                    >
                </div>
                <div *ngIf="f.oldPassword.hasError('minlength')">
                    <ion-text color="danger"
                        >Le mot de passe doit avoir au moins 8
                        caractères</ion-text
                    >
                </div>
            </div>
            <ion-row
                class="ion-align-items-center ion-margin-top ion-margin-horizontal"
            >
                <ion-input
                    type="password"
                    class="inputStyle weight-500"
                    placeholder="Nouveau mot de passe"
                    formControlName="newPassword"
                >
                    <ion-icon
                        name="lock-closed-outline"
                        fill="clear"
                        class="ion-margin"
                        color="primary"
                    ></ion-icon>
                </ion-input>
            </ion-row>
            <div
                *ngIf="submit.getValue() && f.newPassword.errors"
                class="invalid-feedback mt-5 ml-10 ion-text-left"
            >
                <div *ngIf="f.newPassword.hasError('required')">
                    <ion-text color="danger"
                        >Le nouveau mot de passe est obligatoire</ion-text
                    >
                </div>
                <div *ngIf="f.newPassword.hasError('minlength')">
                    <ion-text color="danger"
                        >Le mot de passe doit avoir au moins 8
                        caractères</ion-text
                    >
                </div>
            </div>
            <ion-row
                class="ion-align-items-center ion-margin-top ion-margin-horizontal"
            >
                <ion-input
                    type="password"
                    class="inputStyle weight-500"
                    placeholder="Confirmer votre mot de passe"
                    formControlName="confirmPassword"
                >
                    <ion-icon
                        name="lock-closed-outline"
                        fill="clear"
                        class="ion-margin"
                        color="primary"
                    ></ion-icon>
                    <ion-icon
                        *ngIf="f.confirmPassword.valid"
                        color="success"
                        name="checkmark-outline"
                        class="checkmark ion-margin-end"
                    >
                    </ion-icon>
                </ion-input>
            </ion-row>
            <div
                *ngIf="submit.getValue() && f.confirmPassword.errors"
                class="invalid-feedback mt-5 ml-10 ion-text-left"
            >
                <div *ngIf="f.confirmPassword.errors.required">
                    <ion-text color="danger"
                        >La confirmation du mot de passe est
                        obligatoire</ion-text
                    >
                </div>
                <div *ngIf="f.confirmPassword.errors.mustMatch">
                    <ion-text color="danger"
                        >Le mot de passe ne correspond pas</ion-text
                    >
                </div>
            </div>
            <p
                class="msgerror text-primary"
                class="invalid-feedback mt-5 ml-10"
            >
                <ion-text color="danger">{{message}}</ion-text>
            </p>

            <app-button
                title="Enregistrer"
                [loading]="loading.getValue()"
                class="button--radius-8 size-16 mx-25"
                expand="full"
                shape="round"
                color="primary"
                size="large"
                (onClick)="onSubmit()"
            ></app-button>
        </form>
    </ion-grid>
</ion-content>
